StaticVerifier (groovy 2.4.7 API)
Date: 2016-06-03

Package: org.codehaus.groovy.control

## [Java] Class StaticVerifier

- org.codehaus.groovy.control.StaticVerifier

- Verifier to check non-static access in static contexts

  Authors:
    Jochen Theodorou
    Paul King
    Roshan Dawrani

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitClass(ClassNode node, SourceUnit source)`
    `void` | `visitClosureExpression(ClosureExpression ce)`
    `void` | `visitConstructorCallExpression(ConstructorCallExpression cce)`
    `void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `void` | `visitPropertyExpression(PropertyExpression pe)`
    `void` | `visitVariableExpression(VariableExpression ve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitConstructor, visitReturnStatement, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitBlockStatement, visitForLoop, visitWhileLoop, visitIfElse, visitDeclarationExpression, visitClass, visitPackage, visitImports, visitAnnotations, visitClassExpression, visitListExpression, visitPropertyExpression, visitConstantExpression, visitVariableExpression, visitArgumentlistExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitClosureExpression, visitTupleExpression, visitConstructorCallExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitClassExpression, visitListExpression, visitPropertyExpression, visitConstantExpression, visitReturnStatement, visitVariableExpression, visitArgumentlistExpression, visitMethodCallExpression, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitStaticMethodCallExpression, visitTernaryExpression, visitClosureExpression, visitBlockStatement, visitForLoop, visitWhileLoop, visitIfElse, visitTupleExpression, visitConstructorCallExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitDeclarationExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node, SourceUnit source)

    - #### @Override public void visitClosureExpression(ClosureExpression ce)

    - #### @Override public void visitConstructorCallExpression(ConstructorCallExpression cce)

    - #### @Override public void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @Override public void visitMethodCallExpression(MethodCallExpression mce)

    - #### @Override public void visitPropertyExpression(PropertyExpression pe)

    - #### @Override public void visitVariableExpression(VariableExpression ve)